# Uses of Class
org.springframework.http.HttpMethod

Packages that use HttpMethod
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.http.client
Contains an abstraction over client-side HTTP.
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.
org.springframework.http.client.support
This package provides generic HTTP support classes, to be used by higher-level classes like RestTemplate.
org.springframework.http.server
Contains an abstraction over server-side HTTP.
org.springframework.http.server.reactive
Abstractions for reactive HTTP server support including a `ServerHttpRequest` and `ServerHttpResponse` along with an `HttpHandler` for processing.
org.springframework.web
Common, generic interfaces that define minimal boundary points between Spring's web infrastructure and other framework modules.
org.springframework.web.bind.annotation
Annotations for binding requests to controllers and handler methods as well as for binding request parameters to method arguments.
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.context.request
Support for generic request context holding, in particular for scoping of application objects per HTTP request or HTTP session.
org.springframework.web.cors
Support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.cors.reactive
Reactive support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.multipart
Multipart resolution framework for handling file uploads.
org.springframework.web.multipart.support
Support classes for the multipart resolution framework.
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.
org.springframework.web.service.invoker
Support for creating a client proxy for an HTTP service annotated with `HttpExchange` methods.

## Uses of HttpMethod in org.springframework.http

Fields in org.springframework.http declared as HttpMethod
Modifier and Type
Field
Description
`static final HttpMethod`
HttpMethod.`DELETE`
The HTTP method `DELETE`.
`static final HttpMethod`
HttpMethod.`GET`
The HTTP method `GET`.
`static final HttpMethod`
HttpMethod.`HEAD`
The HTTP method `HEAD`.
`static final HttpMethod`
HttpMethod.`OPTIONS`
The HTTP method `OPTIONS`.
`static final HttpMethod`
HttpMethod.`PATCH`
The HTTP method `PATCH`.
`static final HttpMethod`
HttpMethod.`POST`
The HTTP method `POST`.
`static final HttpMethod`
HttpMethod.`PUT`
The HTTP method `PUT`.
`static final HttpMethod`
HttpMethod.`TRACE`
The HTTP method `TRACE`.
Methods in org.springframework.http that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
HttpHeaders.`getAccessControlRequestMethod()`
Return the value of the `Access-Control-Request-Method` request header.
`HttpMethod`
HttpRequest.`getMethod()`
Return the HTTP method of the request.
`HttpMethod`
RequestEntity.`getMethod()`
Return the HTTP method of the request.
`static HttpMethod`
HttpMethod.`valueOf(String method)`
Return an `HttpMethod` object for the given value.
`static HttpMethod[]`
HttpMethod.`values()`
Returns an array containing the standard HTTP methods.
Methods in org.springframework.http that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`List<HttpMethod>`
HttpHeaders.`getAccessControlAllowMethods()`
Return the value of the `Access-Control-Allow-Methods` response header.
`Set<HttpMethod>`
HttpHeaders.`getAllow()`
Return the set of allowed `HTTP methods`, as specified by the `Allow` header.
Methods in org.springframework.http with parameters of type HttpMethod
Modifier and Type
Method
Description
`B`
ResponseEntity.HeadersBuilder.`allow(HttpMethod... allowedMethods)`
Set the set of allowed `HTTP methods`, as specified by the `Allow` header.
`int`
HttpMethod.`compareTo(HttpMethod other)`
`static RequestEntity.BodyBuilder`
RequestEntity.`method(HttpMethod method, String uriTemplate, Object... uriVariables)`
Create a builder with the given HTTP method, URI template, and variables.
`static RequestEntity.BodyBuilder`
RequestEntity.`method(HttpMethod method, String uriTemplate, Map<String,?> uriVariables)`
Create a builder with the given HTTP method, URI template, and variables.
`static RequestEntity.BodyBuilder`
RequestEntity.`method(HttpMethod method, URI url)`
Create a builder with the given method and url.
`void`
HttpHeaders.`setAccessControlRequestMethod(HttpMethod requestMethod)`
Set the (new) value of the `Access-Control-Request-Method` request header.
Method parameters in org.springframework.http with type arguments of type HttpMethod
Modifier and Type
Method
Description
`void`
HttpHeaders.`setAccessControlAllowMethods(List<HttpMethod> allowedMethods)`
Set the (new) value of the `Access-Control-Allow-Methods` response header.
`void`
HttpHeaders.`setAllow(Set<HttpMethod> allowedMethods)`
Set the set of allowed `HTTP methods`, as specified by the `Allow` header.
Constructors in org.springframework.http with parameters of type HttpMethod
Modifier
Constructor
Description
``
`RequestEntity(HttpMethod method, URI url)`
Constructor with method and URL but without body nor headers.
``
`RequestEntity(org.springframework.util.MultiValueMap<String,String> headers, HttpMethod method, URI url)`
Constructor with method, URL and headers but without body.
``
`RequestEntity(T body, HttpMethod method, URI url)`
Constructor with method, URL and body but without headers.
``
`RequestEntity(T body, HttpMethod method, URI url, Type type)`
Constructor with method, URL, body and type but without headers.
``
`RequestEntity(T body, org.springframework.util.MultiValueMap<String,String> headers, HttpMethod method, URI url)`
Constructor with method, URL, headers and body.
``
`RequestEntity(T body, org.springframework.util.MultiValueMap<String,String> headers, HttpMethod method, URI url, Type type)`
Constructor with method, URL, headers, body and type.

## Uses of HttpMethod in org.springframework.http.client

Methods in org.springframework.http.client with parameters of type HttpMethod
Modifier and Type
Method
Description
`protected org.apache.hc.core5.http.protocol.HttpContext`
HttpComponentsClientHttpRequestFactory.`createHttpContext(HttpMethod httpMethod, URI uri)`
Template method that creates a `HttpContext` for the given HTTP method and URI.
`protected org.apache.hc.core5.http.ClassicHttpRequest`
HttpComponentsClientHttpRequestFactory.`createHttpUriRequest(HttpMethod httpMethod, URI uri)`
Create a Commons HttpMethodBase object for the given HTTP method and URI specification.
`final ClientHttpRequest`
AbstractClientHttpRequestFactoryWrapper.`createRequest(URI uri, HttpMethod httpMethod)`
This implementation simply calls `AbstractClientHttpRequestFactoryWrapper.createRequest(URI, HttpMethod, ClientHttpRequestFactory)` with the wrapped request factory provided to the constructor.
`protected abstract ClientHttpRequest`
AbstractClientHttpRequestFactoryWrapper.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
Create a new `ClientHttpRequest` for the specified URI and HTTP method by using the passed-on request factory.
`protected ClientHttpRequest`
BufferingClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
`ClientHttpRequest`
ClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
Create a new `ClientHttpRequest` for the specified URI and HTTP method.
`ClientHttpRequest`
HttpComponentsClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
`protected ClientHttpRequest`
InterceptingClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
`ClientHttpRequest`
JdkClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
`ClientHttpRequest`
JettyClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
`ClientHttpRequest`
OkHttp3ClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
Deprecated, for removal: This API element is subject to removal in a future version.
`ClientHttpRequest`
ReactorClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
`ClientHttpRequest`
SimpleClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod)`
`protected boolean`
BufferingClientHttpRequestFactory.`shouldBuffer(URI uri, HttpMethod httpMethod)`
Indicates whether the request/response exchange for the given URI and method should be buffered in memory.
Method parameters in org.springframework.http.client with type arguments of type HttpMethod
Modifier and Type
Method
Description
`void`
HttpComponentsClientHttpRequestFactory.`setHttpContextFactory(BiFunction<HttpMethod,URI,org.apache.hc.core5.http.protocol.HttpContext> httpContextFactory)`
Configure a factory to pre-create the `HttpContext` for each request.

## Uses of HttpMethod in org.springframework.http.client.reactive

Methods in org.springframework.http.client.reactive that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
ClientHttpRequest.`getMethod()`
Return the HTTP method of the request.
`HttpMethod`
ClientHttpRequestDecorator.`getMethod()`
Methods in org.springframework.http.client.reactive with parameters of type HttpMethod
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ClientHttpResponse>`
ClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
Connect to the origin server using the given `HttpMethod` and `URI` and apply the given `requestCallback` when the HTTP request of the underlying API can be initialized and written to.
`reactor.core.publisher.Mono<ClientHttpResponse>`
HttpComponentsClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
JdkClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
JettyClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
ReactorClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
`reactor.core.publisher.Mono<ClientHttpResponse>`
ReactorNetty2ClientHttpConnector.`connect(HttpMethod method, URI uri, Function<? super ClientHttpRequest,reactor.core.publisher.Mono<Void>> requestCallback)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor parameters in org.springframework.http.client.reactive with type arguments of type HttpMethod
Modifier
Constructor
Description
``
`HttpComponentsClientHttpConnector(org.apache.hc.client5.http.impl.async.CloseableHttpAsyncClient client, BiFunction<HttpMethod,URI,? extends org.apache.hc.client5.http.protocol.HttpClientContext> contextProvider)`
Constructor with a pre-configured `CloseableHttpAsyncClient` instance and a `HttpClientContext` supplier lambda which is called before each request and passed to the client.

## Uses of HttpMethod in org.springframework.http.client.support

Methods in org.springframework.http.client.support that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
HttpRequestWrapper.`getMethod()`
Return the method of the wrapped request.
Methods in org.springframework.http.client.support with parameters of type HttpMethod
Modifier and Type
Method
Description
`protected ClientHttpRequest`
HttpAccessor.`createRequest(URI url, HttpMethod method)`
Create a new `ClientHttpRequest` via this template's `ClientHttpRequestFactory`.

## Uses of HttpMethod in org.springframework.http.server

Methods in org.springframework.http.server that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
ServletServerHttpRequest.`getMethod()`

## Uses of HttpMethod in org.springframework.http.server.reactive

Methods in org.springframework.http.server.reactive that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
AbstractServerHttpRequest.`getMethod()`
`HttpMethod`
ServerHttpRequestDecorator.`getMethod()`
Methods in org.springframework.http.server.reactive with parameters of type HttpMethod
Modifier and Type
Method
Description
`ServerHttpRequest.Builder`
ServerHttpRequest.Builder.`method(HttpMethod httpMethod)`
Set the HTTP method to return.
Constructors in org.springframework.http.server.reactive with parameters of type HttpMethod
Modifier
Constructor
Description
``
`AbstractServerHttpRequest(HttpMethod method, URI uri, String contextPath, org.springframework.util.MultiValueMap<String,String> headers)`
Constructor with the method, URI and headers for the request.

## Uses of HttpMethod in org.springframework.web

Methods in org.springframework.web that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`Set<HttpMethod>`
HttpRequestMethodNotSupportedException.`getSupportedHttpMethods()`
Return the actually supported HTTP methods as `HttpMethod` instances, or `null` if not known.
Constructors in org.springframework.web with parameters of type HttpMethod
Modifier
Constructor
Description
``
`HttpMediaTypeNotSupportedException(MediaType contentType, List<MediaType> mediaTypes, HttpMethod httpMethod)`
Create a new HttpMediaTypeNotSupportedException.
``
`HttpMediaTypeNotSupportedException(MediaType contentType, List<MediaType> supportedMediaTypes, HttpMethod httpMethod, String message)`
Create a new HttpMediaTypeNotSupportedException.

## Uses of HttpMethod in org.springframework.web.bind.annotation

Methods in org.springframework.web.bind.annotation that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
RequestMethod.`asHttpMethod()`
Return the `HttpMethod` corresponding to this `RequestMethod`.
Methods in org.springframework.web.bind.annotation with parameters of type HttpMethod
Modifier and Type
Method
Description
`static RequestMethod`
RequestMethod.`resolve(HttpMethod httpMethod)`
Resolve the given `HttpMethod` to a `RequestMethod` enum value.

## Uses of HttpMethod in org.springframework.web.client

Methods in org.springframework.web.client that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`Set<HttpMethod>`
RestOperations.`optionsForAllow(String url, Object... uriVariables)`
Return the value of the `Allow` header for the given URI.
`Set<HttpMethod>`
RestOperations.`optionsForAllow(String url, Map<String,?> uriVariables)`
Return the value of the `Allow` header for the given URI.
`Set<HttpMethod>`
RestOperations.`optionsForAllow(URI url)`
Return the value of the `Allow` header for the given URL.
`Set<HttpMethod>`
RestTemplate.`optionsForAllow(String url, Object... uriVariables)`
`Set<HttpMethod>`
RestTemplate.`optionsForAllow(String url, Map<String,?> uriVariables)`
`Set<HttpMethod>`
RestTemplate.`optionsForAllow(URI url)`
Methods in org.springframework.web.client with parameters of type HttpMethod
Modifier and Type
Method
Description
`protected <T> T`
RestTemplate.`doExecute(URI url, String uriTemplate, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor)`
Execute the given method on the provided URI.
`protected <T> T`
RestTemplate.`doExecute(URI url, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor)`
Deprecated.
in favor of `RestTemplate.doExecute(URI, String, HttpMethod, RequestCallback, ResponseExtractor)`
`<T> ResponseEntity<T>`
RestOperations.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType, Object... uriVariables)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType, Map<String,?> uriVariables)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType, Object... uriVariables)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType, Map<String,?> uriVariables)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(URI url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(URI url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType)`
Execute the HTTP method to the given URI template, writing the given request entity to the request, and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestTemplate.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType, Object... uriVariables)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType, Map<String,?> uriVariables)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType, Object... uriVariables)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(String url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType, Map<String,?> uriVariables)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(URI url, HttpMethod method, HttpEntity<?> requestEntity, Class<T> responseType)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(URI url, HttpMethod method, HttpEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType)`
`<T> T`
RestOperations.`execute(String uriTemplate, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor, Object... uriVariables)`
Execute the HTTP method to the given URI template, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`<T> T`
RestOperations.`execute(String uriTemplate, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor, Map<String,?> uriVariables)`
Execute the HTTP method to the given URI template, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`<T> T`
RestOperations.`execute(URI url, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor)`
Execute the HTTP method to the given URL, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`<T> T`
RestTemplate.`execute(String uriTemplate, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor, Object... uriVariables)`
Execute the HTTP method to the given URI template, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`<T> T`
RestTemplate.`execute(String uriTemplate, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor, Map<String,?> uriVariables)`
Execute the HTTP method to the given URI template, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`<T> T`
RestTemplate.`execute(URI url, HttpMethod method, RequestCallback requestCallback, ResponseExtractor<T> responseExtractor)`
Execute the HTTP method to the given URL, preparing the request with the `RequestCallback`, and reading the response with a `ResponseExtractor`.
`void`
DefaultResponseErrorHandler.`handleError(URI url, HttpMethod method, ClientHttpResponse response)`
Handle the error in the given response with the given resolved status code and extra information providing access to the request URL and HTTP method.
`protected void`
DefaultResponseErrorHandler.`handleError(ClientHttpResponse response, HttpStatusCode statusCode, URI url, HttpMethod method)`
Handle the error based on the resolved status code.
`protected void`
ExtractingResponseErrorHandler.`handleError(ClientHttpResponse response, HttpStatusCode statusCode, URI url, HttpMethod method)`
`default void`
ResponseErrorHandler.`handleError(URI url, HttpMethod method, ClientHttpResponse response)`
Handle the error in the given response.
`protected void`
RestTemplate.`handleResponse(URI url, HttpMethod method, ClientHttpResponse response)`
Handle the given response, performing appropriate logging and invoking the `ResponseErrorHandler` if necessary.
`RestClient.RequestBodyUriSpec`
RestClient.`method(HttpMethod method)`
Start building a request for the given `HttpMethod`.

## Uses of HttpMethod in org.springframework.web.context.request

Methods in org.springframework.web.context.request that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
ServletWebRequest.`getHttpMethod()`
Return the HTTP method of the request.

## Uses of HttpMethod in org.springframework.web.cors

Methods in org.springframework.web.cors that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`List<HttpMethod>`
CorsConfiguration.`checkHttpMethod(HttpMethod requestMethod)`
Check the HTTP request method (or the method from the `Access-Control-Request-Method` header on a pre-flight request) against the configured allowed methods.
`protected List<HttpMethod>`
DefaultCorsProcessor.`checkMethods(CorsConfiguration config, HttpMethod requestMethod)`
Check the HTTP method and determine the methods for the response of a pre-flight request.
Methods in org.springframework.web.cors with parameters of type HttpMethod
Modifier and Type
Method
Description
`void`
CorsConfiguration.`addAllowedMethod(HttpMethod method)`
Variant of `CorsConfiguration.setAllowedMethods(java.util.List<java.lang.String>)` for adding one allowed method at a time.
`List<HttpMethod>`
CorsConfiguration.`checkHttpMethod(HttpMethod requestMethod)`
Check the HTTP request method (or the method from the `Access-Control-Request-Method` header on a pre-flight request) against the configured allowed methods.
`protected List<HttpMethod>`
DefaultCorsProcessor.`checkMethods(CorsConfiguration config, HttpMethod requestMethod)`
Check the HTTP method and determine the methods for the response of a pre-flight request.

## Uses of HttpMethod in org.springframework.web.cors.reactive

Methods in org.springframework.web.cors.reactive that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`protected List<HttpMethod>`
DefaultCorsProcessor.`checkMethods(CorsConfiguration config, HttpMethod requestMethod)`
Check the HTTP method and determine the methods for the response of a pre-flight request.
Methods in org.springframework.web.cors.reactive with parameters of type HttpMethod
Modifier and Type
Method
Description
`protected List<HttpMethod>`
DefaultCorsProcessor.`checkMethods(CorsConfiguration config, HttpMethod requestMethod)`
Check the HTTP method and determine the methods for the response of a pre-flight request.

## Uses of HttpMethod in org.springframework.web.multipart

Methods in org.springframework.web.multipart that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
MultipartHttpServletRequest.`getRequestMethod()`
Return this request's method as a convenient HttpMethod instance.

## Uses of HttpMethod in org.springframework.web.multipart.support

Methods in org.springframework.web.multipart.support that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
AbstractMultipartHttpServletRequest.`getRequestMethod()`

## Uses of HttpMethod in org.springframework.web.server

Methods in org.springframework.web.server that return types with arguments of type HttpMethod
Modifier and Type
Method
Description
`Set<HttpMethod>`
MethodNotAllowedException.`getSupportedMethods()`
Return the list of supported HTTP methods.
Constructors in org.springframework.web.server with parameters of type HttpMethod
Modifier
Constructor
Description
``
`MethodNotAllowedException(HttpMethod method, Collection<HttpMethod> supportedMethods)`
``
`UnsupportedMediaTypeStatusException(MediaType contentType, List<MediaType> supportedTypes, org.springframework.core.ResolvableType bodyType, HttpMethod method)`
Constructor for when trying to encode from or decode to a specific Java type.
``
`UnsupportedMediaTypeStatusException(MediaType contentType, List<MediaType> supportedTypes, HttpMethod method)`
Constructor that provides the HTTP method.
Constructor parameters in org.springframework.web.server with type arguments of type HttpMethod
Modifier
Constructor
Description
``
`MethodNotAllowedException(String method, Collection<HttpMethod> supportedMethods)`
``
`MethodNotAllowedException(HttpMethod method, Collection<HttpMethod> supportedMethods)`

## Uses of HttpMethod in org.springframework.web.service.invoker

Methods in org.springframework.web.service.invoker that return HttpMethod
Modifier and Type
Method
Description
`HttpMethod`
HttpRequestValues.Builder.`getHttpMethod()`
`HttpMethod`
HttpRequestValues.`getHttpMethod()`
Return the HTTP method to use for the request.
`HttpMethod`
HttpRequestValues.Metadata.`getHttpMethod()`
Return the HTTP method, if known.
Methods in org.springframework.web.service.invoker with parameters of type HttpMethod
Modifier and Type
Method
Description
`protected HttpRequestValues`
HttpRequestValues.Builder.`createRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVars, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
Create `HttpRequestValues` from values passed to the `HttpRequestValues.Builder`.
`protected ReactiveHttpRequestValues`
ReactiveHttpRequestValues.Builder.`createRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVars, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
`HttpRequestValues.Builder`
HttpRequestValues.Builder.`setHttpMethod(HttpMethod httpMethod)`
Set the HTTP method for the request.
`ReactiveHttpRequestValues.Builder`
ReactiveHttpRequestValues.Builder.`setHttpMethod(HttpMethod httpMethod)`
Constructors in org.springframework.web.service.invoker with parameters of type HttpMethod
Modifier
Constructor
Description
`protected`
`HttpRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVariables, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
Construct `HttpRequestValues`.